html, body {
    overflow-x: clip !important;
    overflow-x: unset !important;
    position: relative;
}

/* .grecaptcha-badge {
    z-index: -1 !important;
} */

/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;

    display: grid;
    align-items: center;

    background: linear-gradient(
        135deg,
        var(--blue5B),
        var(--blue3D)
    );

    position: relative;
    isolation: isolate;
}

#hero::before,
#hero::after {
    --delta: 15%;
    --delta1: calc(-1 * var(--delta));

    content: "";

    position: absolute;
    width: 45rem;
    aspect-ratio: 1;

    background: radial-gradient(
        var(--yellow),
        transparent 70%
    );

    backdrop-filter: blur(64px);
    border-radius: 50%;
    opacity: 0.17;

    z-index: -1;
}
#hero::before {
    top: 0; left: 0;
    transform: translate(var(--delta), var(--delta));
}
#hero::after {
    bottom: 0; right: 0;
    transform: translate(var(--delta1), var(--delta1));
}

#hero .-main-box {
    padding: 15rem;

    display: grid;
    place-items: center;
    gap: 4rem;
}

#hero .-main-box .neon-box {
    max-width: max-content;
}
#hero .-main-box h1 {
    /* max-width: 18ch; */

    font-size: 6rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    text-align: center;
    color: var(--font-col-600);
}

#hero .-main-box p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-500);

    text-align: center;
}

#hero .-main-box ul {
    list-style: none;
    width: 100%;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    gap: 1.6rem;
}

#hero .-main-box ul li {
    padding: 1.6rem;

    display: grid;
    place-items: center;
    gap: 8px;

    background-color: #ffffff1a;
    backdrop-filter: blur(5px);
    
    border: 1px solid #ffffff4d;
    border-radius: 1rem;
}

#hero .-main-box ul li svg {
    --size: 32px;
    color: var(--yellow);
}
#hero .-main-box ul li strong {
    font-size: 3rem;
    font-weight: 700;
    color: var(--font-col-600);
}
#hero .-main-box ul li small {
    font-size: 1.4rem;
    font-weight: 500;
    color: var(--font-col-500);
}

#hero .-main-box .buttons {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}


/* Quote */

#quote {
    color-scheme: dark;
    padding-block: 8rem;
}
#quote .-main-box {
    display: grid;
    grid-template-columns: 1fr 2fr;
    align-items: start;
    gap: 4.8rem;
}

#quote .text-block {
    position: sticky;
    top: 8rem;

    display: grid;
    gap: 3.2rem;
}
#quote .text-block ul {
    display: grid;
    gap: 1.6rem;
}
#quote .text-block ul li {
    padding: 1.6rem;

    display: grid;
    grid-template-columns: 40px 1fr;
    gap: 1.6rem;

    background-color: var(--main-col2);
    border: 1px solid #1e2939;
    border-radius: 1rem;

    cursor: default;
    transition: border 0.25s;

    &:hover {
        border: 1px solid var(--yellow);
    }
}

#quote .text-block ul li strong {
    width: 100%;
    aspect-ratio: 1;

    display: flex;
    align-items: center;
    justify-content: center;

    background-color: var(--yellow);
    border-radius: 6px;
}
#quote .text-block ul li strong svg {
    --size: 20px;
    color: #000;
}

#quote .text-block ul li h3 {
    font-size: 1.6rem;
    font-weight: 700;
    color: var(--font-col-600);
    margin-bottom: 5px;
}
#quote .text-block ul li p {
    font-size: 1.4rem;
    color: var(--font-col-300);
}


#quote .cta-block,
#quote form {
    background: linear-gradient(
        135deg,
        var(--main-col2),
        var(--main-col1)
    );

    border: 2px solid #1e2939;
}

#quote .cta-block {
    padding: 2.4rem;

    display: grid;
    gap: 1.6rem;
    
    border-radius: 1.6rem;
}
#quote .cta-block h4 {
    font-size: 1.8rem;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
}

#quote .cta-block .cta-item {
    display: flex;
    align-items: center;
    gap: 1rem;
}
#quote .cta-block .cta-item svg {
    --size: 20px;
    color: var(--font-col-600);
}
#quote .cta-block .cta-item a {
    font-size: 1.6rem;
    text-decoration: none;
    color: var(--font-col-600);

    transition: color 0.25s;

    &:is(:hover, :focus-visible) {
        color: var(--yellow);
    }
}

#quote form {
    border-radius: 2.4rem;
    overflow: clip;
}
#quote form .block-inner {
    padding: 3.2rem;
}
#quote form ol.steps {
    padding: 3.2rem;

    list-style: none;
    
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.6rem;

    background-color: var(--main-col1);

    border-bottom: 1px solid #1e2939;
}
#quote form ol.steps li.line {
    width: 100%;
    height: 4px;

    background-color: #1e2939;
    border-radius: 2px;
}
#quote form ol.steps li[data-step] {
    padding: 2px;
    display: grid;
    grid-template-columns: 4rem 7rem;
    align-items: center;
    gap: 1rem;

    border: 1px solid #141b24;
    border-radius: 3px;

    cursor: pointer;
}
#quote form ol.steps li strong {
    aspect-ratio: 1;

    display: flex;
    align-items: center;
    justify-content: center;
    
    font-size: 1.6rem;
    font-weight: 500;
    color: var(--font-col-300);
    
    background-color: #1e2939;
    border-radius: 50%;
}
#quote form ol.steps li span {
    font-size: 1.4rem;
    color: var(--font-col-300);
}


/* Active steps */

    /* preparations */
#quote form .block[data-step] li[data-step] svg {
    color: inherit;
}

    /* -- 1st step */
#quote form .block[data-step="1"] li[data-step="1"] strong,
    /* -- 2nd step */
#quote form .block[data-step="2"] li[data-step="1"] strong,
#quote form .block[data-step="2"] li[data-step="2"] strong,
    /* -- 3rd step */
#quote form .block[data-step="3"] li[data-step="1"] strong,
#quote form .block[data-step="3"] li[data-step="2"] strong,
#quote form .block[data-step="3"] li[data-step="3"] strong {
    background-color: var(--yellow);
    color: #000;
}

#quote form .block[data-step="2"] li[data-line="1"],
#quote form .block[data-step="3"] li[data-line="1"],
#quote form .block[data-step="3"] li[data-line="2"] {
    background-color: var(--yellow);
}

/* Form blocks inner fields */
#quote form .block-inner {
    display: grid;
    gap: 2.4rem;
}
#quote form .block-inner h4 {
    font-size: 2.4rem;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
}

#quote form .buttons {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
}
#quote form .buttons button:disabled {
    opacity: 0.1;
    cursor: not-allowed;
}


/* Quote form inputs */

#quote form .block-inner fieldset {
    border: unset;
}
#quote form .block-inner fieldset legend {
    font-size: 1.6rem;
    font-weight: 500;
    color: var(--font-col-600);

    margin-bottom: 1.2rem;
}
#quote form .block-inner select {
    width: 100%;
    padding: 1.2rem 1.6rem;

    font-size: 1.6rem;
    color: var(--font-col-500);

    background-color: var(--main-col1);
    border: 2px solid #1e2939;
    border-radius: 6px;
}
#quote form .block-inner select:focus-visible {
    border-color: var(--yellow);
}
#quote form .block-inner select option {
    font-size: 1.6rem;
    color: var(--font-col-400);
}

#quote form .block-inner fieldset .fields-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(35rem, 1fr));
    gap: 1.6rem;
}
#quote form .block-inner fieldset .fields-grid > * {
    padding: 1.6rem;

    display: grid;
    grid-template-columns: 24px 1fr;
    align-items: center;
    gap: 1.2rem;

    border: 2px solid #1e2939;
    border-radius: 1rem;

    position: relative;
}
#quote form .block-inner fieldset .fields-grid > *:is(:hover, :focus-within) {
    border-color: var(--font-col-300);
}
#quote form .block-inner fieldset .fields-grid > *:has(input[type="radio"]:checked) {
    border-color: var(--yellow);
    & span {
        color: var(--font-col-600);
    }
}
#quote form .block-inner fieldset .fields-grid > * span {
    font-size: 1.6rem;
    color: var(--font-col-300);
}

#quote form .block-inner input[type="radio"] {
    width: 0px;
    position: absolute;
    appearance: none;
    opacity: 0;
    z-index: -1;
}

#quote form textarea#handlingRequirements {
    width: 100%;
    height: 12rem;
    padding: 1.6rem;

    font-size: 1.6rem;
    color: var(--font-col-600);
    
    background-color: var(--main-col1);
    border: 2px solid #1e2939;
    border-radius: 6px;

    resize: none;
}

#quote form select#modeOfTransport {
    width: min(35rem, 100%);
}

#quote form .location-set {
    padding: 2.4rem;
    background-color: var(--main-col1);

    border: 1px solid #1e2939;
    border-radius: 1rem;
}

#quote form .fieldset-header {
    display: grid;
    grid-template-columns: 20px 1fr;
    align-items: center;
    gap: 1rem;

    margin-bottom: 1.6rem;

    & svg {
        color: var(--yellow);
    }
}

#quote form .inner-fieldset,
#quote form .block-inner .form-item-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(33rem, 1fr));
    gap: 1.6rem;
}

#quote form .block-inner input,
#quote form .block-inner select {
    min-height: 5rem;
    padding: 1.2rem 1.6rem;

    font-size: 1.6rem;
    color: var(--font-col-600);
    background-color: var(--main-col2);

    border: 1px solid var(--border-col);
    border-radius: 6px;

    &:focus-visible {
        outline: 2px solid var(--yellow);
    }
}

#quote form .block-inner.-block3 input,
#quote form .block-inner.-block3 select {
    background-color: var(--main-col1);
    border: 2px solid #1e2939;
}

#quote form hr {
    margin-block: 1rem;
    border-color: var(--border-col);
}

#quote form .block-inner label {
    display: grid;
    gap: 8px;
}
#quote form .block-inner label span {
    font-size: 1.6rem;
    color: var(--font-col-600);
    position: relative;
}

#quote form .block-inner label:has(:required) span::after {
    content: "*";

    font-size: 1.6rem;
    color: var(--yellow);

    margin-left: 5px;
}

#quote form .block-inner label[for="consent"] {
    padding: 2.4rem;

    display: grid;
    grid-template-columns: 20px 1fr;
    place-items: center;
    gap: 1rem;

    background-color: var(--main-col1);

    border: 1px solid var(--border-col);
    border-radius: 1rem;

    & input[type="checkbox"] {
        display: block;
        width: 20px;
        aspect-ratio: 1;
        accent-color: var(--yellow);
    }
    & span {
        font-size: 1.4rem;
        color: var(--font-col-300);
    }
}


/* FAQ */

#FAQ {
    padding-block: 8rem;
    background-color: var(--main-col2);
}
#FAQ .-main-box {
    display: grid;
    place-items: center;
    gap: 3rem;
}
#FAQ h2 {
    color: var(--blue5B);
}
#FAQ .text {
    font-size: 1.8rem;
    text-align: center;
    color: var(--font-col-300);
}

#FAQ .FAQ-inner {
    width: min(85rem, 100%);
    display: grid;
    gap: 1.6rem;
}

#FAQ .FAQ-inner details {
    padding: 2.4rem;

    background-color: var(--main-col1);
    border: 1px solid var(--border-col);
    border-radius: 1rem;
}

#FAQ .FAQ-inner details summary {
    display: flex;
    position: relative;
    isolation: isolate;
}
#FAQ .FAQ-inner details summary::marker,
#FAQ .FAQ-inner details summary::-webkit-details-marker {
    appearance: none;
    color: transparent;
    font-size: 0;
    opacity: 0;
}
#FAQ .FAQ-inner details[open] summary {
    margin-bottom: 3.2rem;
}

#FAQ .FAQ-inner details summary svg {
    --size: 22px;

    position: absolute;
    top: 0; right: 0;

    color: #000;
    background-color: var(--yellow);    
    border-radius: 50%;

    transition: rotate 0.25s;

    z-index: 1;
}
#FAQ .FAQ-inner details[open] summary svg {
    rotate: 45deg;
}

#FAQ .FAQ-inner details summary h3 {
    font-size: 1.8rem;
    font-weight: 700;
    color: var(--font-col-600);
}
#FAQ .FAQ-inner details p {
    font-size: 1.6rem;
    line-height: 1.625;
    color: var(--font-col-300);
}

/* Trusted by */
#trusted {
    padding-block: 8rem;
}
#trusted .-main-box {
    padding: 4.8rem;

    display: grid;
    place-items: center;
    gap: 2.4rem;

    background: linear-gradient(
        135deg,
        var(--blue3D),
        var(--blue5B),
        var(--blue3D)
    );

    border-radius: 2.4rem;

    position: relative;
    isolation: isolate;
}

#trusted .-main-box::after {
    content: "";
    top: 0; left: 50%;

    position: absolute;
    /* width: 45rem; */
    height: 100%;
    aspect-ratio: 1;

    transform: translate(-50%, 0);

    background: radial-gradient(
        var(--yellow),
        transparent 70%
    );

    backdrop-filter: blur(64px);
    border-radius: 50%;
    opacity: 0.2;

    overflow: hidden;
    z-index: -1;
}
#trusted .-main-box > svg {
    --size: 5.5rem;
    fill: var(--yellow);
    color: var(--yellow);
}
#trusted .-main-box h2 {
    text-transform: uppercase;
}
#trusted .-main-box h3 {
    margin-inline: auto;
    max-width: 60ch;

    font-size: 2rem;
    text-align: center;
    line-height: 1.625;
    color: var(--font-col-600);
}
#trusted .-main-box ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2.4rem;
}
#trusted .-main-box ul li {
    width: 20rem;
    padding: 1.6rem 2.4rem;

    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px;

    background-color: #ffffff1c;
    border-radius: 3rem;
}
#trusted .-main-box ul li svg {
    --size: 20px;
    color: var(--yellow);
}
#trusted .-main-box ul li span {
    font-size: 1.6rem;
    font-weight: 700;
    color: var(--font-col-600);
}


@media (max-width: 1024px) {
    #quote .-main-box {
        grid-template-columns: 1fr;
    }
    #quote .text-block {
        position: static;
    }
}